Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network141.2.224.0/20
Usable hosts4,094
Subnet mask255.255.240.0
Addresses4,096
Network address
141.2.224.0
Broadcast address
141.2.239.255
First usable
141.2.224.1
Last usable
141.2.239.254
Usable hosts
4,094 (4,096 less the network and broadcast addresses)
Subnet mask
255.255.240.0
Wildcard mask
0.0.15.255 (Cisco ACLs, OSPF)
Prefix length
/20
Type
Public public
Old class
B (default /16)
As numbers
Hex 8D02E000 · Integer 2365775872 to 2365779967
Reverse DNS zones
224.2.141.in-addr.arpa
225.2.141.in-addr.arpa
226.2.141.in-addr.arpa
227.2.141.in-addr.arpa
228.2.141.in-addr.arpa
229.2.141.in-addr.arpa
230.2.141.in-addr.arpa
231.2.141.in-addr.arpa
232.2.141.in-addr.arpa
233.2.141.in-addr.arpa
234.2.141.in-addr.arpa
235.2.141.in-addr.arpa
236.2.141.in-addr.arpa
237.2.141.in-addr.arpa
238.2.141.in-addr.arpa
239.2.141.in-addr.arpa
/20 is not on a 8-bit boundary, so it takes 16 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address10001101.00000010.11100000.00000000141.2.224.0
Subnet mask11111111.11111111.11110000.00000000255.255.240.0
Network10001101.00000010.11100000.00000000141.2.224.0
Broadcast10001101.00000010.11101111.11111111141.2.239.255
Split into smaller subnets/30

141.2.224.0/20 makes 1,024 subnets of /30; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1141.2.224.0/30141.2.224.1 to 141.2.224.2141.2.224.32
2141.2.224.4/30141.2.224.5 to 141.2.224.6141.2.224.72
3141.2.224.8/30141.2.224.9 to 141.2.224.10141.2.224.112
4141.2.224.12/30141.2.224.13 to 141.2.224.14141.2.224.152
5141.2.224.16/30141.2.224.17 to 141.2.224.18141.2.224.192
6141.2.224.20/30141.2.224.21 to 141.2.224.22141.2.224.232
7141.2.224.24/30141.2.224.25 to 141.2.224.26141.2.224.272
8141.2.224.28/30141.2.224.29 to 141.2.224.30141.2.224.312
9141.2.224.32/30141.2.224.33 to 141.2.224.34141.2.224.352
10141.2.224.36/30141.2.224.37 to 141.2.224.38141.2.224.392
11141.2.224.40/30141.2.224.41 to 141.2.224.42141.2.224.432
12141.2.224.44/30141.2.224.45 to 141.2.224.46141.2.224.472
13141.2.224.48/30141.2.224.49 to 141.2.224.50141.2.224.512
14141.2.224.52/30141.2.224.53 to 141.2.224.54141.2.224.552
15141.2.224.56/30141.2.224.57 to 141.2.224.58141.2.224.592
16141.2.224.60/30141.2.224.61 to 141.2.224.62141.2.224.632
17141.2.224.64/30141.2.224.65 to 141.2.224.66141.2.224.672
18141.2.224.68/30141.2.224.69 to 141.2.224.70141.2.224.712
19141.2.224.72/30141.2.224.73 to 141.2.224.74141.2.224.752
20141.2.224.76/30141.2.224.77 to 141.2.224.78141.2.224.792
21141.2.224.80/30141.2.224.81 to 141.2.224.82141.2.224.832
22141.2.224.84/30141.2.224.85 to 141.2.224.86141.2.224.872
23141.2.224.88/30141.2.224.89 to 141.2.224.90141.2.224.912
24141.2.224.92/30141.2.224.93 to 141.2.224.94141.2.224.952
25141.2.224.96/30141.2.224.97 to 141.2.224.98141.2.224.992
26141.2.224.100/30141.2.224.101 to 141.2.224.102141.2.224.1032
27141.2.224.104/30141.2.224.105 to 141.2.224.106141.2.224.1072
28141.2.224.108/30141.2.224.109 to 141.2.224.110141.2.224.1112
29141.2.224.112/30141.2.224.113 to 141.2.224.114141.2.224.1152
30141.2.224.116/30141.2.224.117 to 141.2.224.118141.2.224.1192
31141.2.224.120/30141.2.224.121 to 141.2.224.122141.2.224.1232
32141.2.224.124/30141.2.224.125 to 141.2.224.126141.2.224.1272
33141.2.224.128/30141.2.224.129 to 141.2.224.130141.2.224.1312
34141.2.224.132/30141.2.224.133 to 141.2.224.134141.2.224.1352
35141.2.224.136/30141.2.224.137 to 141.2.224.138141.2.224.1392
36141.2.224.140/30141.2.224.141 to 141.2.224.142141.2.224.1432
37141.2.224.144/30141.2.224.145 to 141.2.224.146141.2.224.1472
38141.2.224.148/30141.2.224.149 to 141.2.224.150141.2.224.1512
39141.2.224.152/30141.2.224.153 to 141.2.224.154141.2.224.1552
40141.2.224.156/30141.2.224.157 to 141.2.224.158141.2.224.1592
41141.2.224.160/30141.2.224.161 to 141.2.224.162141.2.224.1632
42141.2.224.164/30141.2.224.165 to 141.2.224.166141.2.224.1672
43141.2.224.168/30141.2.224.169 to 141.2.224.170141.2.224.1712
44141.2.224.172/30141.2.224.173 to 141.2.224.174141.2.224.1752
45141.2.224.176/30141.2.224.177 to 141.2.224.178141.2.224.1792
46141.2.224.180/30141.2.224.181 to 141.2.224.182141.2.224.1832
47141.2.224.184/30141.2.224.185 to 141.2.224.186141.2.224.1872
48141.2.224.188/30141.2.224.189 to 141.2.224.190141.2.224.1912
49141.2.224.192/30141.2.224.193 to 141.2.224.194141.2.224.1952
50141.2.224.196/30141.2.224.197 to 141.2.224.198141.2.224.1992
51141.2.224.200/30141.2.224.201 to 141.2.224.202141.2.224.2032
52141.2.224.204/30141.2.224.205 to 141.2.224.206141.2.224.2072
53141.2.224.208/30141.2.224.209 to 141.2.224.210141.2.224.2112
54141.2.224.212/30141.2.224.213 to 141.2.224.214141.2.224.2152
55141.2.224.216/30141.2.224.217 to 141.2.224.218141.2.224.2192
56141.2.224.220/30141.2.224.221 to 141.2.224.222141.2.224.2232
57141.2.224.224/30141.2.224.225 to 141.2.224.226141.2.224.2272
58141.2.224.228/30141.2.224.229 to 141.2.224.230141.2.224.2312
59141.2.224.232/30141.2.224.233 to 141.2.224.234141.2.224.2352
60141.2.224.236/30141.2.224.237 to 141.2.224.238141.2.224.2392
61141.2.224.240/30141.2.224.241 to 141.2.224.242141.2.224.2432
62141.2.224.244/30141.2.224.245 to 141.2.224.246141.2.224.2472
63141.2.224.248/30141.2.224.249 to 141.2.224.250141.2.224.2512
64141.2.224.252/30141.2.224.253 to 141.2.224.254141.2.224.2552
65141.2.225.0/30141.2.225.1 to 141.2.225.2141.2.225.32
66141.2.225.4/30141.2.225.5 to 141.2.225.6141.2.225.72
67141.2.225.8/30141.2.225.9 to 141.2.225.10141.2.225.112
68141.2.225.12/30141.2.225.13 to 141.2.225.14141.2.225.152
69141.2.225.16/30141.2.225.17 to 141.2.225.18141.2.225.192
70141.2.225.20/30141.2.225.21 to 141.2.225.22141.2.225.232
71141.2.225.24/30141.2.225.25 to 141.2.225.26141.2.225.272
72141.2.225.28/30141.2.225.29 to 141.2.225.30141.2.225.312
73141.2.225.32/30141.2.225.33 to 141.2.225.34141.2.225.352
74141.2.225.36/30141.2.225.37 to 141.2.225.38141.2.225.392
75141.2.225.40/30141.2.225.41 to 141.2.225.42141.2.225.432
76141.2.225.44/30141.2.225.45 to 141.2.225.46141.2.225.472
77141.2.225.48/30141.2.225.49 to 141.2.225.50141.2.225.512
78141.2.225.52/30141.2.225.53 to 141.2.225.54141.2.225.552
79141.2.225.56/30141.2.225.57 to 141.2.225.58141.2.225.592
80141.2.225.60/30141.2.225.61 to 141.2.225.62141.2.225.632
81141.2.225.64/30141.2.225.65 to 141.2.225.66141.2.225.672
82141.2.225.68/30141.2.225.69 to 141.2.225.70141.2.225.712
83141.2.225.72/30141.2.225.73 to 141.2.225.74141.2.225.752
84141.2.225.76/30141.2.225.77 to 141.2.225.78141.2.225.792
85141.2.225.80/30141.2.225.81 to 141.2.225.82141.2.225.832
86141.2.225.84/30141.2.225.85 to 141.2.225.86141.2.225.872
87141.2.225.88/30141.2.225.89 to 141.2.225.90141.2.225.912
88141.2.225.92/30141.2.225.93 to 141.2.225.94141.2.225.952
89141.2.225.96/30141.2.225.97 to 141.2.225.98141.2.225.992
90141.2.225.100/30141.2.225.101 to 141.2.225.102141.2.225.1032
91141.2.225.104/30141.2.225.105 to 141.2.225.106141.2.225.1072
92141.2.225.108/30141.2.225.109 to 141.2.225.110141.2.225.1112
93141.2.225.112/30141.2.225.113 to 141.2.225.114141.2.225.1152
94141.2.225.116/30141.2.225.117 to 141.2.225.118141.2.225.1192
95141.2.225.120/30141.2.225.121 to 141.2.225.122141.2.225.1232
96141.2.225.124/30141.2.225.125 to 141.2.225.126141.2.225.1272
97141.2.225.128/30141.2.225.129 to 141.2.225.130141.2.225.1312
98141.2.225.132/30141.2.225.133 to 141.2.225.134141.2.225.1352
99141.2.225.136/30141.2.225.137 to 141.2.225.138141.2.225.1392
100141.2.225.140/30141.2.225.141 to 141.2.225.142141.2.225.1432
101141.2.225.144/30141.2.225.145 to 141.2.225.146141.2.225.1472
102141.2.225.148/30141.2.225.149 to 141.2.225.150141.2.225.1512
103141.2.225.152/30141.2.225.153 to 141.2.225.154141.2.225.1552
104141.2.225.156/30141.2.225.157 to 141.2.225.158141.2.225.1592
105141.2.225.160/30141.2.225.161 to 141.2.225.162141.2.225.1632
106141.2.225.164/30141.2.225.165 to 141.2.225.166141.2.225.1672
107141.2.225.168/30141.2.225.169 to 141.2.225.170141.2.225.1712
108141.2.225.172/30141.2.225.173 to 141.2.225.174141.2.225.1752
109141.2.225.176/30141.2.225.177 to 141.2.225.178141.2.225.1792
110141.2.225.180/30141.2.225.181 to 141.2.225.182141.2.225.1832
111141.2.225.184/30141.2.225.185 to 141.2.225.186141.2.225.1872
112141.2.225.188/30141.2.225.189 to 141.2.225.190141.2.225.1912
113141.2.225.192/30141.2.225.193 to 141.2.225.194141.2.225.1952
114141.2.225.196/30141.2.225.197 to 141.2.225.198141.2.225.1992
115141.2.225.200/30141.2.225.201 to 141.2.225.202141.2.225.2032
116141.2.225.204/30141.2.225.205 to 141.2.225.206141.2.225.2072
117141.2.225.208/30141.2.225.209 to 141.2.225.210141.2.225.2112
118141.2.225.212/30141.2.225.213 to 141.2.225.214141.2.225.2152
119141.2.225.216/30141.2.225.217 to 141.2.225.218141.2.225.2192
120141.2.225.220/30141.2.225.221 to 141.2.225.222141.2.225.2232
121141.2.225.224/30141.2.225.225 to 141.2.225.226141.2.225.2272
122141.2.225.228/30141.2.225.229 to 141.2.225.230141.2.225.2312
123141.2.225.232/30141.2.225.233 to 141.2.225.234141.2.225.2352
124141.2.225.236/30141.2.225.237 to 141.2.225.238141.2.225.2392
125141.2.225.240/30141.2.225.241 to 141.2.225.242141.2.225.2432
126141.2.225.244/30141.2.225.245 to 141.2.225.246141.2.225.2472
127141.2.225.248/30141.2.225.249 to 141.2.225.250141.2.225.2512
128141.2.225.252/30141.2.225.253 to 141.2.225.254141.2.225.2552
129141.2.226.0/30141.2.226.1 to 141.2.226.2141.2.226.32
130141.2.226.4/30141.2.226.5 to 141.2.226.6141.2.226.72
131141.2.226.8/30141.2.226.9 to 141.2.226.10141.2.226.112
132141.2.226.12/30141.2.226.13 to 141.2.226.14141.2.226.152
133141.2.226.16/30141.2.226.17 to 141.2.226.18141.2.226.192
134141.2.226.20/30141.2.226.21 to 141.2.226.22141.2.226.232
135141.2.226.24/30141.2.226.25 to 141.2.226.26141.2.226.272
136141.2.226.28/30141.2.226.29 to 141.2.226.30141.2.226.312
137141.2.226.32/30141.2.226.33 to 141.2.226.34141.2.226.352
138141.2.226.36/30141.2.226.37 to 141.2.226.38141.2.226.392
139141.2.226.40/30141.2.226.41 to 141.2.226.42141.2.226.432
140141.2.226.44/30141.2.226.45 to 141.2.226.46141.2.226.472
141141.2.226.48/30141.2.226.49 to 141.2.226.50141.2.226.512
142141.2.226.52/30141.2.226.53 to 141.2.226.54141.2.226.552
143141.2.226.56/30141.2.226.57 to 141.2.226.58141.2.226.592
144141.2.226.60/30141.2.226.61 to 141.2.226.62141.2.226.632
145141.2.226.64/30141.2.226.65 to 141.2.226.66141.2.226.672
146141.2.226.68/30141.2.226.69 to 141.2.226.70141.2.226.712
147141.2.226.72/30141.2.226.73 to 141.2.226.74141.2.226.752
148141.2.226.76/30141.2.226.77 to 141.2.226.78141.2.226.792
149141.2.226.80/30141.2.226.81 to 141.2.226.82141.2.226.832
150141.2.226.84/30141.2.226.85 to 141.2.226.86141.2.226.872
151141.2.226.88/30141.2.226.89 to 141.2.226.90141.2.226.912
152141.2.226.92/30141.2.226.93 to 141.2.226.94141.2.226.952
153141.2.226.96/30141.2.226.97 to 141.2.226.98141.2.226.992
154141.2.226.100/30141.2.226.101 to 141.2.226.102141.2.226.1032
155141.2.226.104/30141.2.226.105 to 141.2.226.106141.2.226.1072
156141.2.226.108/30141.2.226.109 to 141.2.226.110141.2.226.1112
157141.2.226.112/30141.2.226.113 to 141.2.226.114141.2.226.1152
158141.2.226.116/30141.2.226.117 to 141.2.226.118141.2.226.1192
159141.2.226.120/30141.2.226.121 to 141.2.226.122141.2.226.1232
160141.2.226.124/30141.2.226.125 to 141.2.226.126141.2.226.1272
161141.2.226.128/30141.2.226.129 to 141.2.226.130141.2.226.1312
162141.2.226.132/30141.2.226.133 to 141.2.226.134141.2.226.1352
163141.2.226.136/30141.2.226.137 to 141.2.226.138141.2.226.1392
164141.2.226.140/30141.2.226.141 to 141.2.226.142141.2.226.1432
165141.2.226.144/30141.2.226.145 to 141.2.226.146141.2.226.1472
166141.2.226.148/30141.2.226.149 to 141.2.226.150141.2.226.1512
167141.2.226.152/30141.2.226.153 to 141.2.226.154141.2.226.1552
168141.2.226.156/30141.2.226.157 to 141.2.226.158141.2.226.1592
169141.2.226.160/30141.2.226.161 to 141.2.226.162141.2.226.1632
170141.2.226.164/30141.2.226.165 to 141.2.226.166141.2.226.1672
171141.2.226.168/30141.2.226.169 to 141.2.226.170141.2.226.1712
172141.2.226.172/30141.2.226.173 to 141.2.226.174141.2.226.1752
173141.2.226.176/30141.2.226.177 to 141.2.226.178141.2.226.1792
174141.2.226.180/30141.2.226.181 to 141.2.226.182141.2.226.1832
175141.2.226.184/30141.2.226.185 to 141.2.226.186141.2.226.1872
176141.2.226.188/30141.2.226.189 to 141.2.226.190141.2.226.1912
177141.2.226.192/30141.2.226.193 to 141.2.226.194141.2.226.1952
178141.2.226.196/30141.2.226.197 to 141.2.226.198141.2.226.1992
179141.2.226.200/30141.2.226.201 to 141.2.226.202141.2.226.2032
180141.2.226.204/30141.2.226.205 to 141.2.226.206141.2.226.2072
181141.2.226.208/30141.2.226.209 to 141.2.226.210141.2.226.2112
182141.2.226.212/30141.2.226.213 to 141.2.226.214141.2.226.2152
183141.2.226.216/30141.2.226.217 to 141.2.226.218141.2.226.2192
184141.2.226.220/30141.2.226.221 to 141.2.226.222141.2.226.2232
185141.2.226.224/30141.2.226.225 to 141.2.226.226141.2.226.2272
186141.2.226.228/30141.2.226.229 to 141.2.226.230141.2.226.2312
187141.2.226.232/30141.2.226.233 to 141.2.226.234141.2.226.2352
188141.2.226.236/30141.2.226.237 to 141.2.226.238141.2.226.2392
189141.2.226.240/30141.2.226.241 to 141.2.226.242141.2.226.2432
190141.2.226.244/30141.2.226.245 to 141.2.226.246141.2.226.2472
191141.2.226.248/30141.2.226.249 to 141.2.226.250141.2.226.2512
192141.2.226.252/30141.2.226.253 to 141.2.226.254141.2.226.2552
193141.2.227.0/30141.2.227.1 to 141.2.227.2141.2.227.32
194141.2.227.4/30141.2.227.5 to 141.2.227.6141.2.227.72
195141.2.227.8/30141.2.227.9 to 141.2.227.10141.2.227.112
196141.2.227.12/30141.2.227.13 to 141.2.227.14141.2.227.152
197141.2.227.16/30141.2.227.17 to 141.2.227.18141.2.227.192
198141.2.227.20/30141.2.227.21 to 141.2.227.22141.2.227.232
199141.2.227.24/30141.2.227.25 to 141.2.227.26141.2.227.272
200141.2.227.28/30141.2.227.29 to 141.2.227.30141.2.227.312
201141.2.227.32/30141.2.227.33 to 141.2.227.34141.2.227.352
202141.2.227.36/30141.2.227.37 to 141.2.227.38141.2.227.392
203141.2.227.40/30141.2.227.41 to 141.2.227.42141.2.227.432
204141.2.227.44/30141.2.227.45 to 141.2.227.46141.2.227.472
205141.2.227.48/30141.2.227.49 to 141.2.227.50141.2.227.512
206141.2.227.52/30141.2.227.53 to 141.2.227.54141.2.227.552
207141.2.227.56/30141.2.227.57 to 141.2.227.58141.2.227.592
208141.2.227.60/30141.2.227.61 to 141.2.227.62141.2.227.632
209141.2.227.64/30141.2.227.65 to 141.2.227.66141.2.227.672
210141.2.227.68/30141.2.227.69 to 141.2.227.70141.2.227.712
211141.2.227.72/30141.2.227.73 to 141.2.227.74141.2.227.752
212141.2.227.76/30141.2.227.77 to 141.2.227.78141.2.227.792
213141.2.227.80/30141.2.227.81 to 141.2.227.82141.2.227.832
214141.2.227.84/30141.2.227.85 to 141.2.227.86141.2.227.872
215141.2.227.88/30141.2.227.89 to 141.2.227.90141.2.227.912
216141.2.227.92/30141.2.227.93 to 141.2.227.94141.2.227.952
217141.2.227.96/30141.2.227.97 to 141.2.227.98141.2.227.992
218141.2.227.100/30141.2.227.101 to 141.2.227.102141.2.227.1032
219141.2.227.104/30141.2.227.105 to 141.2.227.106141.2.227.1072
220141.2.227.108/30141.2.227.109 to 141.2.227.110141.2.227.1112
221141.2.227.112/30141.2.227.113 to 141.2.227.114141.2.227.1152
222141.2.227.116/30141.2.227.117 to 141.2.227.118141.2.227.1192
223141.2.227.120/30141.2.227.121 to 141.2.227.122141.2.227.1232
224141.2.227.124/30141.2.227.125 to 141.2.227.126141.2.227.1272
225141.2.227.128/30141.2.227.129 to 141.2.227.130141.2.227.1312
226141.2.227.132/30141.2.227.133 to 141.2.227.134141.2.227.1352
227141.2.227.136/30141.2.227.137 to 141.2.227.138141.2.227.1392
228141.2.227.140/30141.2.227.141 to 141.2.227.142141.2.227.1432
229141.2.227.144/30141.2.227.145 to 141.2.227.146141.2.227.1472
230141.2.227.148/30141.2.227.149 to 141.2.227.150141.2.227.1512
231141.2.227.152/30141.2.227.153 to 141.2.227.154141.2.227.1552
232141.2.227.156/30141.2.227.157 to 141.2.227.158141.2.227.1592
233141.2.227.160/30141.2.227.161 to 141.2.227.162141.2.227.1632
234141.2.227.164/30141.2.227.165 to 141.2.227.166141.2.227.1672
235141.2.227.168/30141.2.227.169 to 141.2.227.170141.2.227.1712
236141.2.227.172/30141.2.227.173 to 141.2.227.174141.2.227.1752
237141.2.227.176/30141.2.227.177 to 141.2.227.178141.2.227.1792
238141.2.227.180/30141.2.227.181 to 141.2.227.182141.2.227.1832
239141.2.227.184/30141.2.227.185 to 141.2.227.186141.2.227.1872
240141.2.227.188/30141.2.227.189 to 141.2.227.190141.2.227.1912
241141.2.227.192/30141.2.227.193 to 141.2.227.194141.2.227.1952
242141.2.227.196/30141.2.227.197 to 141.2.227.198141.2.227.1992
243141.2.227.200/30141.2.227.201 to 141.2.227.202141.2.227.2032
244141.2.227.204/30141.2.227.205 to 141.2.227.206141.2.227.2072
245141.2.227.208/30141.2.227.209 to 141.2.227.210141.2.227.2112
246141.2.227.212/30141.2.227.213 to 141.2.227.214141.2.227.2152
247141.2.227.216/30141.2.227.217 to 141.2.227.218141.2.227.2192
248141.2.227.220/30141.2.227.221 to 141.2.227.222141.2.227.2232
249141.2.227.224/30141.2.227.225 to 141.2.227.226141.2.227.2272
250141.2.227.228/30141.2.227.229 to 141.2.227.230141.2.227.2312
251141.2.227.232/30141.2.227.233 to 141.2.227.234141.2.227.2352
252141.2.227.236/30141.2.227.237 to 141.2.227.238141.2.227.2392
253141.2.227.240/30141.2.227.241 to 141.2.227.242141.2.227.2432
254141.2.227.244/30141.2.227.245 to 141.2.227.246141.2.227.2472
255141.2.227.248/30141.2.227.249 to 141.2.227.250141.2.227.2512
256141.2.227.252/30141.2.227.253 to 141.2.227.254141.2.227.2552

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses